<?php

declare(strict_types=1);

namespace Drupal\joinup_core\Entity;

/**
 * Reusable code for classes implementing OutdatedContentInterface interface.
 *
 * @see \Drupal\joinup_core\Entity\OutdatedContentInterface
 */
trait OutdatedContentTrait {

  /**
   * {@inheritdoc}
   */
  public function getOutdatedTime(): ?int {
    assert($this instanceof OutdatedContentInterface, 'Class ' . get_class($this) . ' must implement ' . OutdatedContentInterface::class);
    if ($this->hasField('outdated_time') && !$this->get('outdated_time')->isEmpty()) {
      return $this->get('outdated_time')->first()->getValue()['value'];
    }
    return NULL;
  }

}
